Skip to main content
`Ctrl`+`K`

# DMSwarmRegisterPetscDatatypeField

Register a field to a `DMSWARM` with a native PETSc data type

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmRegisterPetscDatatypeField(DM dm, const char fieldname[], PetscInt blocksize, PetscDataType type)

Collective

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name to identify this field

- blocksize - the number of each data type

- type - a valid PETSc data type (`PETSC_CHAR`, `PETSC_SHORT`, `PETSC_INT`, `PETSC_FLOAT`, `PETSC_REAL`, `PETSC_LONG`)

## Notes

The textual name for each registered field must be unique.

## See Also

`DM`, `DMSWARM`, `DMSwarmRegisterUserStructField()`, `DMSwarmRegisterUserDatatypeField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ts/tutorials/ex77.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/tutorials/ex21.c
src/dm/tutorials/swarm_ex1.c
src/dm/impls/swarm/tutorials/ex1.c
src/dm/tutorials/ex20.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/swarm_ex3.c
src/dm/tutorials/swarm_ex2.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages